curl --request POST \
--url https://api.pandaprobe.com/evaluations/trace-scores \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trace_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "accuracy",
"value": "0.92"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"value": "<string>",
"status": "SUCCESS",
"source": "AUTOMATED",
"created_at": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data_type": "NUMERIC",
"eval_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_user_id": "<string>",
"reason": "<string>",
"environment": "<string>",
"config_id": "<string>",
"metadata": {},
"updated_at": "<string>"
}Manually create a trace score.
Use source=ANNOTATION for human-created scores from the dashboard,
or source=PROGRAMMATIC for SDK/API-submitted scores.
Auth: Bearer + X-Project-ID | X-API-Key + X-Project-Name
curl --request POST \
--url https://api.pandaprobe.com/evaluations/trace-scores \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trace_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "accuracy",
"value": "0.92"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"value": "<string>",
"status": "SUCCESS",
"source": "AUTOMATED",
"created_at": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data_type": "NUMERIC",
"eval_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_user_id": "<string>",
"reason": "<string>",
"environment": "<string>",
"config_id": "<string>",
"metadata": {},
"updated_at": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Manually create a trace score (annotation or programmatic).
Used by the dashboard for human annotations or by the SDK for programmatic score submission.
Trace UUID to attach the score to.
Metric/score name (e.g. 'task_completion', 'quality', 'thumbs_up').
Score value as string. For NUMERIC: '0.85', for BOOLEAN: 'true', for CATEGORICAL: 'PASS'.
Value type: NUMERIC, BOOLEAN, CATEGORICAL.
NUMERIC, BOOLEAN, CATEGORICAL Score origin: ANNOTATION (human) or PROGRAMMATIC (SDK).
AUTOMATED, ANNOTATION, PROGRAMMATIC Optional explanation or annotation note.
Optional metadata object.
Successful Response
Full trace score representation used by both list and detail endpoints.
Outcome of a trace score evaluation attempt.
SUCCESS, FAILED, PENDING Who produced the score judgment (not how it arrived).
AUTOMATED -- the eval system's LLM judge produced this score ANNOTATION -- a human assigned this score manually PROGRAMMATIC -- external code submitted this score via API/SDK
AUTOMATED, ANNOTATION, PROGRAMMATIC Data type for a trace score value.
NUMERIC, BOOLEAN, CATEGORICAL